%define name libproxydynlang-python
%define version 1.1
%define release 1
%define _prefix /usr

# 基本情報
Summary: call from c to python language
Summary(ja): c言語からPythonを呼び出す。
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System Environment/Libraries
BuildArch: i386

# パケージの作成時に必要となる情報
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

# 依存情報
Requires: libproxydynlang-devel = 1.1
BuildRequires(build): libproxydynlang-devel = 1.1
BuildRequires(build): python

# スクリプト部
%description
This is a from c to python language.

%description -l ja
proxydynlangは、c言語から動的言語(python)を呼び出す為のライブラリです。

%prep         # rpmを構築する前の準備です
%{__rm} -rf $RPM_BUILD_ROOT

%setup
#%patch -pl

%build
%{__make} proxypython

%install
%{__make} prefix=${RPM_BUILD_ROOT}%{_libdir} install.python

%clean
%{__rm} -rf $RPM_BUILD_ROOT

#ファイルリスト部
%files
%defattr(-, root,root)
%{_libdir}/libproxypython.so

%changelog
* Thu Jul 14 2016 paradox <siranovel@gmail.com> 1.1-1
- proxypython-libs -> libproxydynlang-python

* Mon Jul 11 2016 paradox <siranovel@gmail.com> 1.0-1
- first release for version 1.0

